com.google.gwt.dom.client

## Class AreaElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.AreaElement

    @TagName(value="area")
    public class AreaElement
    extends Element

Client-side image map area definition.

See Also:
  W3C HTML Specification

### Field Summary

Fields
`static java.lang.String` `TAG`

### Fields inherited from class com.google.gwt.dom.client.Element

`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

### Fields inherited from class com.google.gwt.dom.client.Node

`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `AreaElement()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AreaElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`java.lang.String` `getCoords()` Comma-separated list of lengths, defining an active region geometry.
`java.lang.String` `getHref()` The URI of the linked resource.
`java.lang.String` `getShape()` The shape of the active area.
`java.lang.String` `getTarget()` Frame to render the resource in.
`static boolean` `is(Element elem)` Determine whether the given `Element` can be cast to this class.
`static boolean` `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
`static boolean` `is(Node node)` Determine whether the given `Node` can be cast to this class.
`void` `setAccessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`void` `setAlt(java.lang.String alt)` Alternate text for user agents not rendering the normal content of this element.
`void` `setCoords(java.lang.String coords)` Comma-separated list of lengths, defining an active region geometry.
`void` `setHref(java.lang.String href)` The URI of the linked resource.
`void` `setShape(java.lang.String shape)` The shape of the active area.
`void` `setTarget(java.lang.String target)` Frame to render the resource in.

### Methods inherited from class com.google.gwt.dom.client.Element

`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

### Methods inherited from class com.google.gwt.dom.client.Node

`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TAG

    public static final java.lang.String TAG

See Also:
  Constant Field Values

### Constructor Detail

#### AreaElement

    protected AreaElement()

### Method Detail

#### as

    public static AreaElement as(Element elem)

Assert that the given `Element` is compatible with this class and automatically typecast it.

#### is

    public static boolean is(JavaScriptObject o)

Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

#### is

    public static boolean is(Node node)

Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

#### is

    public static boolean is(Element elem)

Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

#### getAccessKey

    public final java.lang.String getAccessKey()

A single character access key to give access to the form control.

See Also:
  W3C HTML Specification

#### getAlt

    public final java.lang.String getAlt()

Alternate text for user agents not rendering the normal content of this element.

See Also:
  W3C HTML Specification

#### getCoords

    public final java.lang.String getCoords()

Comma-separated list of lengths, defining an active region geometry. See also shape for the shape of the region.

See Also:
  W3C HTML Specification

#### getHref

    public final java.lang.String getHref()

The URI of the linked resource.

See Also:
  W3C HTML Specification

#### getShape

    public final java.lang.String getShape()

The shape of the active area. The coordinates are given by coords.

See Also:
  W3C HTML Specification

#### getTarget

    public final java.lang.String getTarget()

Frame to render the resource in.

See Also:
  W3C HTML Specification

#### setAccessKey

    public final void setAccessKey(java.lang.String accessKey)

A single character access key to give access to the form control.

See Also:
  W3C HTML Specification

#### setAlt

    public final void setAlt(java.lang.String alt)

Alternate text for user agents not rendering the normal content of this element.

See Also:
  W3C HTML Specification

#### setCoords

    public final void setCoords(java.lang.String coords)

Comma-separated list of lengths, defining an active region geometry. See also shape for the shape of the region.

See Also:
  W3C HTML Specification

#### setHref

    public final void setHref(java.lang.String href)

The URI of the linked resource.

See Also:
  W3C HTML Specification

#### setShape

    public final void setShape(java.lang.String shape)

The shape of the active area. The coordinates are given by coords.

See Also:
  W3C HTML Specification

#### setTarget

    public final void setTarget(java.lang.String target)

Frame to render the resource in.

See Also:
  W3C HTML Specification